Subject: bug#13177: 24.3.50; doc of `read-char-by-name'

From: "Drew Adams" <[email-masked]>
Date: Sat, 15 Dec 2012 08:23:58 -0800

> #xNNNNN can also specify 8-bit characters whose codepoints are outside
> Unicode.
> 
> I have no idea whether this distinction is relevant to this function,
> but since it talks about "Unicode code points", people who deal with
> the documentation need to be aware of this subtlety.

Precisely.  Is `read-char-by-name' intended to just return such a non code-point
number or should it always return a Unicode char as it name suggests?

Once we know what the intention is, if the code doesn't fit it we can change the
code.  Once we know what the correct code does, we can fit the doc to it.